import Feature from 'ol/Feature';
import Polygon, { fromExtent } from 'ol/geom/Polygon';

export const createFeatureFromExtent = ([xMin, yMin, xMax, yMax]: number[]): Feature<Polygon> =>
  new Feature({ geometry: fromExtent([xMin, yMin, xMax, yMax]), type: 'surface' });
